0

Scorched3d worked then stopped. Unistalled and reinstalled did not help. Running Ubuntu 16.04.04LTS. I think it was after installing new release.

I think the problem is the Ubuntu 16.04.4LTS. The newer version has no Scorched3d in the Ubuntu Software Center. I have 3 systems. After updating to new version. Scorched3D will not install and work after updating.

ron@RonsComputer:~$ sudo objdump -p $(type -p scorched3d) | grep NEEDED 
NEEDED libwx_gtk2u_adv-3.0.so.0 
NEEDED libwx_gtk2u_core-3.0.so.0
NEEDED libwx_baseu-3.0.so.0
NEEDED libfreetype.so.6
NEEDED libz.so.1
NEEDED libSDL-1.2.so.0
NEEDED libSDL_net-1.2.so.0
NEEDED libexpat.so.1 
NEEDED libstdc++.so.6
NEEDED libm.so.6
NEEDED libgcc_s.so.1
NEEDED libpthread.so.0
NEEDED libc.so.6

ron@ron-desktop ~ $ objdump -p $(type -p scorched3d) | grep NEEDED | awk '{print $2}' | xargs -n 1 dpkg -S libwxgtk3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_gtk2u_adv-3.0.so.0.2.0 libwxgtk3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_gtk2u_adv-3.0.so.0 libwxgtk3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0.2.0 libwxgtk3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0 libwxbase3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0.2.0 libwxbase3.0-0v5:amd64: /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0 libfreetype6:amd64: /usr/lib/x86_64-linux-gnu/libfreetype.so.6.12.1 libfreetype6:i386: /usr/lib/i386-linux-gnu/libfreetype.so.6 libfreetype6:amd64: /usr/lib/x86_64-linux-gnu/libfreetype.so.6 libfreetype6:i386: /usr/lib/i386-linux-gnu/libfreetype.so.6.12.1 zlib1g:i386: /lib/i386-linux-gnu/libz.so.1.2.8 zlib1g:amd64: /lib/x86_64-linux-gnu/libz.so.1 zlib1g:i386: /lib/i386-linux-gnu/libz.so.1 zlib1g:amd64: /lib/x86_64-linux-gnu/libz.so.1.2.8 libsdl1.2debian:amd64: /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0.11.4 libsdl1.2debian:i386: /usr/lib/i386-linux-gnu/libSDL-1.2.so.0 libsdl1.2debian:i386: /usr/lib/i386-linux-gnu/libSDL-1.2.so.0.11.4 libsdl1.2debian:amd64: /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0 libsdl-net1.2:amd64: /usr/lib/x86_64-linux-gnu/libSDL_net-1.2.so.0 libsdl-net1.2:i386: /usr/lib/i386-linux-gnu/libSDL_net-1.2.so.0 libsdl-net1.2:amd64: /usr/lib/x86_64-linux-gnu/libSDL_net-1.2.so.0.8.0 libsdl-net1.2:i386: /usr/lib/i386-linux-gnu/libSDL_net-1.2.so.0.8.0 libexpat1:i386: /lib/i386-linux-gnu/libexpat.so.1.6.0 libexpat1:amd64: /lib/x86_64-linux-gnu/libexpat.so.1 libexpat1:amd64: /lib/x86_64-linux-gnu/libexpat.so.1.6.0 libexpat1:i386: /lib/i386-linux-gnu/libexpat.so.1 libstdc++6:amd64: /usr/share/gdb/auto-load/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21-gdb.py libstdc++6:i386: /usr/lib/i386-linux-gnu/libstdc++.so.6 libstdc++6:amd64: /usr/lib/x86_64-linux-gnu/libstdc++.so.6 libstdc++6:amd64: /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21 libstdc++6:i386: /usr/lib/i386-linux-gnu/libstdc++.so.6.0.21 libstdc++6:i386: /usr/share/gdb/auto-load/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21-gdb.py libc6:amd64: /lib/x86_64-linux-gnu/libm.so.6 libc6:i386: /lib/i386-linux-gnu/libm.so.6 libgcc1:amd64: /lib/x86_64-linux-gnu/libgcc_s.so.1 libgcc1:i386: /lib/i386-linux-gnu/libgcc_s.so.1 libc6:i386: /lib/i386-linux-gnu/libpthread.so.0 libc6:amd64: /lib/x86_64-linux-gnu/libpthread.so.0 libc6:i386: /lib/i386-linux-gnu/libc.so.6 libc6:amd64: /lib/x86_64-linux-gnu/libc.so.6 ron@ron-desktop ~ $

  • 1
    Perhaps you're missing some libraries. In a Terminal, run ldd $(type -p scorched3d) and objdump -p $(type -p scorched3d) | grep NEEDED. Inspect the output for errors. – waltinator Mar 4 '18 at 23:44
  • What is typed in (type -p scorched3d) – Ron Barnish Mar 5 '18 at 16:43
  • How do i get the items needed – Ron Barnish Mar 6 '18 at 1:08
  • Is there anybody out there that can get Scorched 3D. to run on newer versions of 16.04.4 Ubuntu. Can it be installed with the terminal – Ron Barnish Mar 6 '18 at 16:53
  • @askubuntu.com/users/611098/ron-barnish You type, exactly ldd $(type -p scorched3d). Did you install all 3 of scorched3d, scorched3d-data and scorched3d-dbg? I did, and it worked for me. sudo apt install scorched3d scorched3d-data scorched3d-dbg – waltinator Mar 6 '18 at 23:26

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.